orca.automl.auto_estimator
---------------------------

A general estimator supports automatic model tuning. It allows users to fit and search the best hyperparameter for their model.

.. automodule:: bigdl.orca.automl.auto_estimator
    :members:
    :show-inheritance:


orca.automl.hp
----------------------------------------

Sampling specs to be used in search space configuration. 

.. automodule:: bigdl.orca.automl.hp
    :members:
    :show-inheritance:

orca.automl.metrics
----------------------------

Evaluate unscaled metrics between y true value and y predicted value.

.. automodule:: bigdl.orca.automl.metrics
    :members:
    :show-inheritance:

orca.automl.auto_xgb
---------------------------

Automatic hyperparameter optimization for XGBoost models.

AutoXGBoost is inherited from AutoEstimator. You could refer to `AutoEstimator API Guide <https://bigdl.readthedocs.io/en/latest/doc/PythonAPI/AutoML/automl.html#orca-automl-auto-estimator>`__ for more APIs.

.. automodule:: bigdl.orca.automl.xgboost.auto_xgb
    :members:
    :show-inheritance:
